Bug 197514 - Add error message for incorrect ks=hd:/dev/foo:/bar.ks usage
Summary: Add error message for incorrect ks=hd:/dev/foo:/bar.ks usage
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-07-03 14:14 UTC by Mark McLoughlin
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-04 03:49:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda-ks-devnode-error.patch (585 bytes, patch)
2006-07-03 14:14 UTC, Mark McLoughlin
no flags Details | Diff

Description Mark McLoughlin 2006-07-03 14:14:48 UTC
Passing ks=hd:/dev/xvda:/ks.cfg to anaconda wasn't working and it took me a
while to figure out what was going on. All I was seeing was:

15:13:47 INFO    : getFileFromBlockDevice(/dev/xvda, /ks.cfg)
15:13:48 DEBUG   : going to set language to en_US.UTF-8

Attaching a patch to print an error if devMakeInode() fails, so that I see:

15:13:47 INFO    : getFileFromBlockDevice(/dev/xvda, /ks.cfg)
15:13:47 ERROR   : failed to make device node for /dev//dev/xvda
15:13:48 DEBUG   : going to set language to en_US.UTF-8

And have some hope of realising what I'm doing wrong :-)

Comment 1 Mark McLoughlin 2006-07-03 14:14:48 UTC
Created attachment 131883 [details]
anaconda-ks-devnode-error.patch

Comment 2 Jeremy Katz 2006-07-04 03:49:42 UTC
Committed


Note You need to log in before you can comment on or make changes to this bug.